I've looked at the documentation extensively but I'm still confused.

I've got a dub.sdl file with:

dependency "derelict-assimp3" version="~>1.3.0"
dependency "derelict-util" version="~>2.0.6"
dependency "bindbc-freeimage" version="~>0.1.1"
versions "FI317"<br>dependency "bindbc-sdl" version="~>0.7.0"<br>versions "SDL202"

and In my dub --verbose output, I'm getting

Refreshing local packages (refresh existing: true)...
Looking for local package map at C:\ProgramData\dub\packages\local-packages.json
Looking for local package map at C:\Users\Kyle\AppData\Roaming\dub\packages\local-packages.json
Note: Failed to determine version of package 060304levels at .. Assuming ~master.<br>Refreshing local packages (refresh existing: false)...<br>Looking for local package map at C:\ProgramData\dub\packages\local-packages.json<br>Looking for local package map at C:\Users\Kyle\AppData\Roaming\dub\packages\local-packages.json<br> Version selection for dependency derelict-util (derelict-util) of 060304levels is missing.
Missing dependency derelict-util ~>2.0.6 of 060304levels<br> Version selection for dependency bindbc-sdl (bindbc-sdl) of 060304levels is missing.
Missing dependency bindbc-sdl ~>0.7.0 of 060304levels<br> Version selection for dependency derelict-assimp3 (derelict-assimp3) of 060304levels is missing.
Missing dependency derelict-assimp3 ~>1.3.0 of 060304levels<br> Version selection for dependency gl3n (gl3n) of 060304levels is missing.
Missing dependency gl3n ~>1.3.1 of 060304_levels

There doesn't seem to be a file local-packages.json in either of the above paths. Can I recreate it?

Also I thought that as soon as a dependency (or version selection) was missing, it would be
automatically downloaded from 'http://code.dlang.org/

Thanks.